Skip to content

@kevinparkerson kevinparkerson released this Jun 25, 2019 · 6702 commits to master since this release

Release 0.10.7

Major Features

  • VisualPicker: Add new component
  • TrialBar: Add new component
  • ProgressBar: Add "vertical" orientation option

Minor Features

  • Add snapshot testing to Dropdown, Pill, ProgressRing, RadioGroup, RadioButtonGroup, Search, Slider, SplitView, Tabs, Textarea, Toast, and VerticalNavigation components

Bugfixes

  • Button: Pass form props to button DOM node
  • Carousel: Alter styling to better match designs
  • Combobox: ARIA attribute fixes
  • SetupAssistant: Active theme now shown for ProgressRing at appropriate times
  • EditDialogPopover: Now defined on site
  • ExpandableSection: Add to site-stories.js
  • Checkbox and Radio: Fix typo in labels prop
  • Fixed issue with component paths that was causing build errors in some projects

Documentation

  • DatePicker: Fix prop description typo
  • BuilderHeader: Fix typo for PropType comment

Maintainance

  • @babel/parser update from 7.4.4 to 7.4.5
  • enzyme update from 3.9.0 to 3.10.0
  • react-text-truncate update from 0.12.1 to 0.14.1
  • react-modal update from 3.4.4 to 3.8.1
  • @babel/preset-env update from 7.4.4 to 7.4.5
  • karma-coverage update from 1.1.1 to 1.1.2
  • webpack-hot-middleware update from 2.21.0 to 2.25.0
  • eslint-plugin-import update from 2.17.2 to 2.17.3
  • eslint-plugin-json update from 1.2.0 to 1.4.0
  • shortid update from 2.2.8 to 2.2.14
  • concurrently update from 4.0.1 to 4.1.0
  • lint-staged update from 3.6.1 to 8.2.0
  • sinon update from 2.4.1 to 4.5.0
  • compression update from 1.7.1 to 1.7.4
  • tar update from 2.2.1 to 2.2.2 (security)
  • extend update from 3.0.1 to 3.0.2 (security)
  • sshpk update from 1.13.0 to 1.16.1 (security)
  • stringstream update from 0.0.5 to 0.0.6 (security)
  • tough-cookie update from 2.3.2 to 2.3.4 (security)
  • is-my-json-valid update from 2.17.1 to 2.20.0 (security)
  • macaddress update from 0.2.8 to 0.2.9 (security)
  • merge update from 1.2.0 to 1.2.1 (security)
  • react-dev-utils update from 5.0.1 to 5.0.3 (security)
Assets 2
You can’t perform that action at this time.